petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBJacobiGetTotalBlocks

Gets the global number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiGetTotalBlocks(PC pc, PetscInt *blocks, const PetscInt *lens[])

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output parameters

| blocks | - the number of blocks Many br
| lens | - integer array containing the size of each block Many br

Many br

### Keywords

get, number, Jacobi, global, total, blocks

### See Also

PCSetUseAmat(), PCBJacobiGetLocalBlocks()

Level:intermediate
Location:src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages